{% extends 'pathotrack/layout/base-print.html' %}
{% load static %}

{% block head %}
<link rel="stylesheet" type="text/css" href="{% static 'consolidated-report/vendor/nomralize.css' %}">
<link rel="stylesheet" type="text/css" href="{% static 'consolidated-report/css/print.css' %}">
{% endblock head %}

{% block content %}

<div class="A4">
  <section class="sheet padding-5mm">
    <header>
      <img src="{% static 'consolidated-report/images/pdf_header.png' %}" alt="header">
    </header>

    <article id="content-print">
      <div class="grey bold text-center">
        <h2>TEST RESULT REPORT</h2>
      </div>

      <div class="patient-container">
        <div class="div-left">
          <table>
            {% with patient=initial_data.patient_id %}
            <tr>
              <td>Patient</td><td>: {{ patient.patient_name|capfirst }}</td>
            </tr>
            <tr>
              <td>Age/Gender</td><td>: {{ patient.patient_age }} / {{ patient.patient_sex }}</td>
            </tr>
            <tr>
              <td>Sample Collected</td><td>: {{ initial_data.patient_sample }}</td>
            </tr>
            <tr>
              <td>Ref by Clinic</td><td>: {{ initial_data.patient_ref_clinic }}</td>
            </tr>
            <tr>
              <td>Ref by Doctor</td><td>: {{ initial_data.patient_ref_doctor }}</td>
            </tr>
            {% endwith %}
          </table>
        </div>

        <div class="div-right">
          <table>
            <tr>
              <td>Accession No</td><td>: AZ3829I8</td>
            </tr><tr>
              <td>Patient ID</td><td>: {{ patient.id }}</td>
            </tr><tr>
              <td>Entrance Date</td><td>: {{ initial_data.patient_enter_date }}</td>
            </tr><tr>
              <td>Exit Date</td><td>: {{ initial_data.patient_exit_date }}</td>
            </tr><tr>
              <td>Exit. Ref. No.</td><td>: 2019/88377998</td>
            </tr>
          </table>
        </div>
      </div>

      <div class="clear"></div>
      <div class="grey bold text-center histo">
        <h2>HISTOPATHOLOGY</h2>
      </div>

      <div class="maintext">
        <p class="patho-id"><strong>Path No:</strong> {{ initial_data.pathology_id }}</p>
        <h3>Clinical Data:</h3>
        <p>{{ general_data.clinical_data }}</p>
        <h3>Specimen:</h3>
        <p>{{ general_data.specimen }}</p>
        <h3>Macroscopy:</h3>
        <p>{{ general_data.macroscopy }}</p>
        <h3>Microscopy:</h3>
        <p>{{ general_data.microscopy }}</p>

        <div class="cap-wrapper">
          <div class="cap-title">
            <h3>Diagnosis</h3>
          </div>
          <div class="cap-body">
            {% if general_data.synoptic_stat %}
              {% for key, value in report.get_fields %}
                {% if key != 'acc no' and key != 'patient id' %}
                  {% if 'note' not in key %}
                    <p><strong>{{ key|capfirst }}:</strong>
                  {% endif %}
                  {% if value|lower != "other" %}
                    {{ value|capfirst }}</p>
                  {% endif %}
                {% endif %}
              {% endfor %}
            {% else %}
              <div class="non-synoptic">{{ report.non_synoptic_diagnosis | safe }}</div>
            {% endif %}
          </div>
        </div>
        <div class="remarks">
          <h3>Remarks:</h3>
          <p>The remarks data here</p>
        </div>
      </div>
    </article>

    <footer>
      <img src="{% static 'consolidated-report/images/pdf_footer.png' %}" alt="footer">
    </footer>
  </section>
</div>

{% endblock content %}
